/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/orders/directIntegration/arrangeShipment2609170000[僅台灣用戶可用] 安排直接整合的快遞出貨
簡介
[僅台灣用戶可用] 安排直接整合的快遞出貨
詳細內容
API 適用的买方用户區域:台灣
安排出貨,並將訂單狀態從商品準備中(INSTRUCT)修改為待寄出(DEPARTURE)。此API不支持拆分包裹,請使用Wing進行拆分包裹。
注意:如果請求中的訂單狀態不是商品準備中(INSTRUCT),此請求會失敗並返回錯誤信息:INVOICE NUMBER GENERATION FAILED.
當前可用的物流公司有:
| 物流公司名稱 | 類型 | deliveryCompanyCode |
|---|---|---|
| 宅配-嘉里 | Home delivery | TWL_KERRY |
| 宅配-新竹 | Home delivery | TWL_HCT |
| 便利商店-全家 | CVS | TWL_FM |
| 便利商店 7-11 | CVS | TWL_711 |
路徑
POST
/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/orders/directIntegration/arrangeShipment
路徑
範例端點
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/orders/directIntegration/arrangeShipmentPath 參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | vendorId
|
請求內容
請求參數
請求內容參數
| Name | Type | Description |
|---|---|---|
| shipmentBoxId* | number | 合併配送號碼 (可以通過訂單查詢接口獲得) 此ID為必須,缺失會導致安排出貨失敗. |
| deliveryCompanyCode* | string | 物流公司程式碼 請輸入正確的物流公司程式碼,否則請求會失敗 當前可用的物流公司有:
|
| returnCenterCode | string | |
| outboundShippingPlaceCode | number | |
| remark | string | 寄件者可提供出貨單備註,其中包含與安排和處理裝運相關的特殊說明或評論
|
回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| success | boolean | 如果安排出貨成功則返回true,否則返回false
|
| errorKey | string | 錯誤資訊的key (例如“OK”).
|
| errorMessage | string | 錯誤資訊的補充說明
|
| invoiceNumber | string | 運單號碼
|
| shipmentBoxId | number | 合併配送號碼
|
| validationCode | string | 當物流公司是7-11時會返回這個額外的程式碼
|
| invoiceNumberInvalidTim e | string |
Response Example
{
"12345": {
"success": true,
"errorKey": "",
"errorMessage": "",
"invoiceNumber": "12345556",
"shipmentBoxId": 12345,
"validationCode": "",
"invoiceNumberInvalidTime": "2025-09-02T13:54:39+08:00"
}
}錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 | Invalid vendor ID | 路徑引數中的vendorId和請求頭的X-Requested-By不正確或者不相同,請保持正確且一致 |
| 400 | 400 | Only one type of express is supported for bulk delivery | 同一個請求中只允許有一種deliveryCompanyCode的請求 |
| 400 | 400 | illegal shipment box id | shipmentBoxId必須大於0 |
| 400 | 400 | illegal delivery company code | deliveryCompanyCode不支持 |
| 400 | 400 | returnCenterCode cannot be empty for deliveryCompanyCode: {deliveryCompanyCode} | 當deliveryCompanyCode時CVS時returnCenterCode為必須 |
| 400 | 400 | invalid outboundShippingPlaceCode for deliveryCompanyCode: {deliveryCompanyCode} | 當deliveryCompanyCode時Home Delivery時returnCenterCode為必須 |